<template>
  <nuxt-link :to="localePath('/')">
    <img :src="require(`~/assets/img/dweipert-x92.png`)" alt="Logo" class="logo" :class="{ 'logo--neg': neg }">
  </nuxt-link>
</template>

<script>
export default {
  props: {
    neg: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="scss" scoped>
.logo {
  display: block;
  width: 30px;

  &--neg {
    filter: brightness(0) invert(1);
  }
}
</style>
